#java
docker run -d -p 8090:8090 --name backend --link mysql:mysqlHost backend
-> mysqlHost needs to be passed to database connection string

#db
docker run -d -it -p 3306:3306 --name mysql -e MYSQL_ROOT_PASSWORD=somePass mariadb:10.4.14

#front
docker run -d -p 9000:80 -v $PWD/httpd.conf:/usr/local/apache2/conf/httpd.conf -v /home/images/:/usr/local/apache2/htdocs/images  --name front --link backend:backend frontend

#phpmyadmin
docker run  -d --link mysql -e PMA_HOST=mysql -e MYSQL_ROOT_PASSWORD=somePass -p 8080:80 -it phpmyadmin/phpmyadmin:5.0.1

