import { OngProject } from "./ong-project.model";

export class OngSettings {
  constructor(
    public ongNeeds?: string,
    public ongDescription?: string,
    public contact?: string,
    public ongCoverPath?: string,
    public ongLogoPath?: string,
    public ongProjects?: OngProject[],
    public ongLink?: string,
    public socialLinks?: string[],
    public user?: {
      activate?: true,
      company?: string,
      cui?: string,
      email?: string,
      firstName?: string,
      id?: number,
      imageUrl?: string,
      langKey?: string,
      lastName?: string,
      resetDate?: Date,
      userDetails?: {
        adress?: string,
        dateOfBirth?: Date,
        id?: number,
        mobile?: string,
      },
    },
  ) { };
}
