import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Product } from 'app/core/user/product.model';
import { Purchase } from 'app/core/user/purchase.model';

@Component({
  selector: 'jhi-orders',
  templateUrl: './orders.component.html',
  styleUrls: ['./orders.component.scss']
})
export class OrdersComponent implements OnInit {
  public orderedProducts: Product[] = [];
  claimedProducts: Purchase[] = [];
  tableSwitch = '';
  itemsPerPage = 15;
  page = 1;


  constructor(private route: Router) {}
   
  ngOnInit(): void {
  }

  historyTable(): void {
    this.route.navigate(['orders','history']);
  }

  postsTable(): void {
    this.route.navigate(['orders','posts']);
  }
}