import { Route } from '@angular/router';

import { UserRouteAccessService } from 'app/core/auth/user-route-access-service';
import { OrdersComponent } from './orders.component';
import { Authority } from 'app/shared/constants/authority.constants';

export const ordersRoute: Route = {
  path: 'orders',
  component: OrdersComponent,
  data: {
    authorities: [Authority.USER],
    pageTitle: 'global.menu.account.settings',
  },
  canActivate: [UserRouteAccessService],
};
