import { Injectable } from '@angular/core';
import { NgbModal, NgbModalRef } from '@ng-bootstrap/ng-bootstrap';

import { LoginModalComponent } from 'app/shared/login/login.component';
import { NgbModalOptions} from '@ng-bootstrap/ng-bootstrap'

@Injectable({ providedIn: 'root' })
export class LoginModalService {
  private isOpen = false;

  constructor(private modalService: NgbModal) {}

  open(): void {
    if (this.isOpen) {
      return;
    }
    this.isOpen = true;

    const options: NgbModalOptions = {
      centered:true,
    };

    const modalRef: NgbModalRef = this.modalService.open(LoginModalComponent, options);
    modalRef.result.finally(() => (this.isOpen = false));
  }
}
