import { Pipe, PipeTransform } from '@angular/core';


@Pipe({
  name: 'productsFilter',
  pure: false
})
export class ProductsFilterPipe implements PipeTransform{
  
  transform(items: any[], searchText: string): any[] {
  
    if (!items) { 
      return [];
    }

    if (!searchText) {
      return items;
    }

    searchText = searchText.toLowerCase();

    return items.filter(it => {
      return it.title.toLocaleLowerCase().includes(searchText);
    });
  }
}