
# PoliHelp - Donation and commerce platform

Start Date: 01.08.2020
End Date: 01.02.2021


## Description
This pandemic has ruptured our lives and forced us to rely on technology on an unprecedented level. Not only did it shock everyone, but it revealed all the weaknesses in local and national strategies and outreach actions. The situation is even more so in Romania, with its severely outdated service infrastructure. Now is the time to follow the change and embrace technology.
Being a small, local company ourselves, we are very much aware of the struggle, which is why we want to contribute to supporting our community. This virus determined a peak of requests and interest in digital solutions.

PoliHelp is a digital platform which will bring together the local community to fight against the threat.  Local municipalities and organizations, hospitals, small companies, volunteers, donors and regional producers (eg: farmers, textile companies, restaurants, landlords) are brought together on the PoliHelp platform for match-making with those in need (eg: elderly people, first line health workers, schools). When in need, we must reach out to the community for help in a safe and optimal organized environment.
The PoliHelp`s objective is to benefit the community and create a bridge between the supply and demand of resources during national emergencies such as the current pandemic. It aims at a unified approach for all local aid initiatives which are providing support. We intend to launch an MVP(Minimum Viable Product)  in a timeframe of 6 months.
 
Our solution provides an easy to use platform which will connect and complement the local municipality/government and will increase the local outreach of the civic initiatives. Whether it is a group of students that volunteer to help the elderly, a company that donates masks and gloves, a small local producer that wants to announce he has fresh products in stock to deliver or a NGO looking for volunteers, this will be the place to find out. Also, there will be a matchmaking option for money donors to choose a local producer which is able to deliver a product or service.

Assessing and combining the data from the platform will help determine the most vulnerable areas, categories of citizens, businesses, while enabling us to strengthen them and prevent such a strong impact of a future outbreak.
PoliHelp will be available as a responsive website with a mobile-friendly version. The dashboard will have a clean and modern interface, showcasing the most pressing needs of organizations/people in Romania and while offering the option of which cause you want to support  and how do you want to contribute.

This project aims to bring the community closer together and combine gathered data not only to help those in need during the COVID-19 crisis but learn how to deal with similar threats and future outbreaks. Created to counteract some of the pandemic’s more pressing issues, PoliHelp can permanently find its place in the community by helping local producers to join local demand.

## Expected benefits and outcome 

Polihelp will stand out, because it will be the only platform that will publish not only donation requests and offers, but also encourage small local businesses to reach a larger audience, and while helping NGOs find the volunteers they need. We will make PoliHelp extremely simple and easy to use for our target group. Our project will target the active participation of local businesses, small factories, NGOs, students’ associations.  The main benefits of the project implementation will be:
- users can offer help or find the causes that need resources:
- encouraging local trade
- local producers, factories, businesses will be able to reach a larger number of people, minimizing their problem of remaining with the entire stock unsold in times of crisis and not only  (which can bring the risk of bankruptcy)
- an active support provided for the elderly and all the other citizens that cannot or should not leave the house to acquire the basic necessities
- a reliable source for NGO’s to find the volunteers they need for their initiatives
- a tool to assess the needs of a area during a crisis
- civic initiatives such as providing counseling, donating food, providing a place for quarantine or self isolation will reach the target audience faster.

The platform MVP will be developed in 6 months and will provide work for 5 people. A network of 150 contacts will be created.
Initially the coverage of PoliHelp will be established in the NE region of Romania. The center of activities will be in Iasi.
