# Polihelp

###### For detailed description of the project, check [ABOUT.md](ABOUT.md) file.

## UI Framework

###### This project was created using Angular framework.

*For more information about Angular CLI go to https://github.com/angular/angular-cli*


## Prerequisites

+ to install Angular on your PC, first install Node.js and NPM using Node installer - visit nodejs.org

+ make sure you got the most recent version of npm by running: "npm install npm -g"

+ be sure to check your environment variables: go to system variables - path - check that "%AppData%\npm" is present 

*Node version at least 12.18.3*\
*NPM version at least 6.14.6*


## Angular installation

+ install angular-cli using NPM: "npm install -g -angular-cli"

+ clone the repository to your local directory.

+ link to poli-help repo : "https://docker.heavensolutions.com:50080/poli-help/polihelp-frontend.git"


## Running the project 

+ in "proxy.conf.json" set the appropriate target for the current backend, also the same in "webpack.dev.js" under "devServer - proxy - target"

+ set your local environment with BrowsersyncPlugin in "webpack.dev.js"

+ run command "npm start"

+ the app will automatically reload if you change any of the source files.

+ *optional* - if browser does not start automatically, navigate to ex."http://localhost:9000/" or the address set before in "webpack.dev.js"


## Build

+ to build the project in gitlab-pipelines use the command: "npm run webpack:prod"

+ for local deployment go to CI/CD - Pipelines and first run a pipeline for "master" branch

+ for live deployment go to Repository - Tags and add a new tag with tag name "live_X.X" 


## Others

- Use Grafana to check backend activity logs: "http://192.168.1.34/hsmongf/login"

+ To check the database use phpmyadmin: "http://192.168.1.34/heavenpma/db_structure.php?server=1&db=polihelp"


