import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';

import { SERVER_API_URL } from 'app/app.constants';

@Injectable({ providedIn: 'root' })
export class UploadPictureService {

  endPoint: any = '/api/save';
  public resourceUrl = SERVER_API_URL + this.endPoint ;


  constructor(private http: HttpClient) { }

  pushFileToStorage(file: (File | null)): Promise<{filename:string}> {
    const data: FormData = new FormData();
    this.resourceUrl = SERVER_API_URL + this.endPoint

    data.append('file', file == null ? "" : file);

    return this.http.post<{filename:string}>(this.resourceUrl, data).toPromise();
  }
}
